Ubuntu

[Gutsy]Network Manager Applet can't connect wireless with ipw3945 driver

Reported by yostral on 2007-06-20
120
Affects Status Importance Assigned to Milestone
network-manager (Ubuntu)
High
Alexander Sack
Nominated for Feisty by Tom Berger
Gutsy
High
Alexander Sack

Bug Description

Binary package hint: network-manager

I have a Intel wireless 3945 chip, using the ipw3945 driver, and working wonderfully withcomment Feisty.

With Gutsy up to date (kernel 2.6.22-6 generic, network-manager 0.6.5, but it was the same with NM 0.6.4), NM is unable to connect to my wireless network. It shows the SSID, the strength of the signal, but can't connect, even when my network is open (no wep, nothing...).

I can connect without any problem from term or from the Networks admin GUI.

I have a kill switch button. But it's the same is I start with wireless on or off.

In the logs, everything is ok. But time out after 120s.

Brian Murray (brian-murray) wrote :

Thanks for taking the time to report this bug and helping to make Ubuntu better. Could you please add the full contents of '/var/log/daemon.log' as an attachment to your bug report? Thanks in advance.

Changed in network-manager:
assignee: nobody → brian-murray
status: Unconfirmed → Needs Info
Brian Murray (brian-murray) wrote :

I have recreated this bug on Gutsy using network-manager version 0.6.5-0ubuntu2.

Changed in network-manager:
assignee: brian-murray → nobody
importance: Undecided → High
status: Incomplete → Triaged
Brian Murray (brian-murray) wrote :

Attached is relevant information from '/var/log/daemon.log'.

Changed in network-manager:
status: Triaged → Confirmed
Ian Redfern (ian-redfern) wrote :

I've just hit the same problem after the recent Gutsy network-manager upgrade to 0.6.5-0ubuntu2 (still running the same kernel as when it was working OK).

On my ThinkPad X60, however, I can force it to connect by toggling the kill switch on and off. It still seems to take 45 seconds to connect though, where it used to take under 10.

Jun 22 17:20:43 gutsy NetworkManager: <info> Activation (eth1) Stage 2 of 5 (Device Configure) complete.

Jun 22 17:20:45 gutsy avahi-daemon[5620]: Registering new address record for fe80::219:d2ff:fb12:ce16 on eth1.*.

Jun 22 17:21:32 gutsy NetworkManager: <info> Activation (eth1/wireless) Stage 2 of 5 (Device Configure) successful. Connected to access point 'AP'.

[..]

Jun 22 17:21:36 gutsy NetworkManager: <info> Activation (eth1) Stage 5 of 5 (IP Configure Commit) complete.

Spyros Theodoritsis (madmetal) wrote :

i am running gutsy on a Lenovo 3000 N100.
wireless worked perfect under feisty and i upgraded to gutsy via wireless.
after first reboot wireless worked fine.. the problem appeared after second reboot.
network manager appears on taskbar and it shows all two wireless networks a protected one and a free one.
i cant connect to none of them. and when i click on network manager icon on taskbar it dissapears.i am connected with wired network but network manager icon still dissapeared...
summing up , i cant connect to wireless networks (protected or not) and after wireless connection failure network manager icon disappears (after this i connect with wired ethernet network)

yostral (y-o) wrote :

Here is my deamon.log

For informations : I started my computer cable connected and wired connection in the NM applet. Wifi switch turned off.
I turned on my wifi switch and tried to connect to an unsecured network. It treied to connect during about 2 minutes, then came back to the wired connection.

ejstacey (ejstacey) wrote :

I'm confirming too. I couldn't even get WEP to connect (manually), but I believe that was just me (and me constantly changing my settings without a reboot confused it all somewhere). Open security it works fine.

chantra (chantra) wrote :

except for the fact that I can't use networkmanager at the moment because of bug #121605 , under feisty it take some time to join a network.

I sometime change manually the channel , so the appropriate channel is picked up.
Under nm-applet, re-clicking on the network you want to join kindda helps sometime in joining a wireless network

Martin Pitt (pitti) wrote :

It generally works for me (with the bcm43xx driver, though) with the latest packages in gutsy. Can you please upgrade network-manager and network-manager gnome and see whether they fix the connection? Thank you!

Changed in network-manager:
status: Confirmed → Incomplete
ejstacey (ejstacey) wrote :

Each morning (US time) I update my system off the gutsy repos. Still no go.

yostral (y-o) wrote :

With lastest Network-Manager (0.6.5-0ubuntu4), Network-Manager-Gnome (0.6.5-Oubuntu3) and kernel 2.6.22-7-generic, still doesn't connect.

Even worse now : NM-aplet crashes each time I want to connect a wireless network. In a terminal it's written : "Erreur de segmentation (core dumped)"

ejstacey (ejstacey) wrote :

yostral: that crash is likely due to bug #121228

https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/121228

Sorry, I don't know how to do URL links. HTML doesn't seem to work ;)

yostral (y-o) wrote :

After few tests, nm crashes only when network is protected (wep, wpa...). On an open network, still the same, unable to connect.

Peter Clifton (pcjc2) wrote :

I may be seeing this too, but can't be sure until I can get the AP rebooted (It has been flaky before).

Running wpa_supplicant manually (which I may have done wrong), I get:

CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys

wpa_passphrase SSID_IN_HERE > wpa.conf
(SSID obtained from network manager logs in /var/log/daemon.log where do I get it more "officially"?)

sudo wpa_supplicant -ieth1 -Dwext -cwpa.conf

If anyone can post some better debugging steps to test running wpa_supplicant manually, I'll give them a go.

yostral (y-o) wrote :

With today's updates, network-manager-gnome 0.6.5-0ubuntu4, no more crash on encrypted network (bug 121228 fixed).

But still no connection for me with ipw3945 driver. Nothing on open network. When network is encrypted, a window open to ask for the key, but nothing happens after I entered it. Nothing about gnome-keyring and of course no connection.

If you went more information, tell which ones. I've already given my daemon.log.

Spyros Theodoritsis (madmetal) wrote :

i confirm yostral.
with today's updates network manager doesnt crash anymore but i cant connect to wireless network.

Serge (serge-de-souza) wrote :

Same problem, I also noticed that the wired and wireless interfaces appear as eth2 and eth3 on a T60 and X60. Does anyone else see this? If not I will open a new bug elsewhere

I do

On 6/28/07, Serge <email address hidden> wrote:
>
> Same problem, I also noticed that the wired and wireless interfaces
> appear as eth2 and eth3 on a T60 and X60. Does anyone else see this? If
> not I will open a new bug elsewhere
>
> --
> [Gutsy]Network Manager Applet can't connect wireless with ipw3945 driver
> https://bugs.launchpad.net/bugs/121439
> You received this bug notification because you are a direct subscriber
> of the bug.
>

sandy.toast (sandy-toast) wrote :

The fingers with which you are dialing are too fat. Sorry, hit send
too quickly.

Yes, my interfaces appear as eth2 and eth3 (wired and wireless respectively).
This is a dell D620.

On 6/28/07, Alan S. <email address hidden> wrote:
> I do
>
>
>
> On 6/28/07, Serge <email address hidden> wrote:
> > Same problem, I also noticed that the wired and wireless interfaces
> > appear as eth2 and eth3 on a T60 and X60. Does anyone else see this? If
> > not I will open a new bug elsewhere
> >
> > --
> > [Gutsy]Network Manager Applet can't connect wireless with ipw3945 driver
> > https://bugs.launchpad.net/bugs/121439
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
>
>

yostral (y-o) wrote :

My interfaces are ok, eth0 and eth1, on Dell Inspion 9400.

But today, gutsy doesn't recognize my kill switch button... It's a combinaison of keys, Fn+F2. In the logs it's written that the key isn't known...

So I can't test wifi anymore for the moment. If I start my computer with what I think to be on or off, it's the same, no more wifi in Gutsy.

In Feisty everything's still perfect.

yostral (y-o) wrote :

Kill switch is now recognized again.

But still no connection possible even after today's update (network-manager-gnome 0.6.5-0ubuntu5).

Benjamin Fogel (benjaminfogel) wrote :

I have a similar problem to that mentioned above. I can connect to a WPA or WEP encrypted network, but I can't connect at all to an unprotected network. Running on a Toshiba P105-S9337.

Kyle S (pissboy) wrote :

I'm also having this problem, 2.6.22-7-generic, network-manager_0.6.5-0ubuntu4, using ipw3945 on a thinkpad T60. On boot the startup scripts get a connection to any open AP properly, ifup and ifdown work fine, device names are normal (eth0 copper, eth1 wifi). After using KNetworkManager things go "awry." There is play-by-play in the attached logfile.

I have always had occasional random troubles with ipw3945 flying south on Feisty (I chalk it up to that aggravating reg daemon, will be happy when iwlwifi makes it in), but removing and re-modprobing the module has always fixed it. This did not help in this case. RF kill does not seem to affect it.

Also of note, the first time this happened, the link would be fine on boot, as above, but after NM frobbed it, ip link would show it being NO-CARRIER. I couldn't reproduce this last symptom for this report.

HTH,
Kyle

Ian Redfern (ian-redfern) wrote :

I can confirm that with the latest updates (2.6.22-7-generic, NM 0.6.5-0ubuntu4) on a ThinkPad X60 with an IPW3945, I still get:

* Connects perfectly when using WPA, and uses eth1 as expected.

* Fails to connect when using a working open AP. Toggling kill switch on/off then always allows it to connect. Uses eth1 as expected.

Open AP runs wpa_supplicant, but gets an error:

Jul 1 10:35:29 gutsy NetworkManager: <info> Activation (eth1) Stage 2 of 5 (Device Configure) starting...

Jul 1 10:35:29 gutsy NetworkManager: <info> Activation (eth1/wireless): access point 'OpenAP' is unencrypted, no key needed.

Jul 1 10:35:29 gutsy NetworkManager: <info> Old device 'eth1' activating, won't change.

Jul 1 10:35:31 gutsy NetworkManager: <info> SUP: sending command 'INTERFACE_ADD eth1^I^Iwext^I/var/run/wpa_supplicant^I'

Jul 1 10:35:31 gutsy NetworkManager: <info> SUP: response was 'OK'

Jul 1 10:35:31 gutsy NetworkManager: <info> Error opening control interface to supplicant.

Jul 1 10:35:31 gutsy NetworkManager: <WARN> real_act_stage2_config(): Activation (eth1/wireless): couldn't connect to the supplicant.

Jul 1 10:35:31 gutsy NetworkManager: <info> Activation (eth1) failure scheduled...

After a kill switch toggle, I get:

Jul 1 10:36:01 gutsy NetworkManager: <info> Activation (eth1/wireless): access point 'OpenAP' is unencrypted, no key needed.

Jul 1 10:36:01 gutsy NetworkManager: <info> SUP: sending command 'INTERFACE_ADD eth1^I^Iwext^I/var/run/wpa_supplicant^I'

Jul 1 10:36:01 gutsy NetworkManager: <info> SUP: response was 'OK'

Jul 1 10:36:01 gutsy NetworkManager: <info> SUP: sending command 'AP_SCAN 1'

Jul 1 10:36:01 gutsy NetworkManager: <info> SUP: response was 'OK'

and it continues OK.

sandy.toast (sandy-toast) wrote :

I can confirm the open AP behavior below, but am unable to connect using WPA2

On 7/2/07, Ian Redfern <email address hidden> wrote:
> I can confirm that with the latest updates (2.6.22-7-generic, NM
> 0.6.5-0ubuntu4) on a ThinkPad X60 with an IPW3945, I still get:
>
> * Connects perfectly when using WPA, and uses eth1 as expected.
>
> * Fails to connect when using a working open AP. Toggling kill switch
> on/off then always allows it to connect. Uses eth1 as expected.
>

Bipolar (bipolar) wrote :

I also can confirm this bug running Gutsy AMD64 on my Dell D820 w/ ipw3945. I've attached the output of 'tail -n 0 -f /var/log/syslog' while trying to switch from the wired connection to wireless. I notice this bug has the 'Incomplete' status. Please let me know if there is any other information that will help get this bug resolved. It's very annoying.

Trond Thorbjørnsen (tthorb) wrote :

This bug also appears on my Acer:

sudo lspci | grep -i ethern
02:00.0 Ethernet controller: Broadcom Corporation NetLink BCM5789 Gigabit Ethernet PCI Express (rev 21)

There's also one other extremely fancy bug:
When connecting to wired network, the wireless also connects! But sadly for me, to different networks isn't the best way to get a stable network connection...:)

anonym (launch-mailinator) wrote :

I have the same issue.

I'm using Gutsy Tribe 2 and have an Intel 3945ABG internal card.

I cannot connect on any secured mode BUT I can connect on non-secure
wired mode, but NOT wireless.

Reinhard Tartler (siretart) wrote :

I can connect with networkmanager with ipw3945 on my private WPA-PSK secured network with the following steps reliably:

- try to connect, NM will try a bit but ask me then for a key
- press cancel on that dialogue
- retry connecting
- (quickly) turn off the hardware rf-kill switch
- after about one sec, turn on rf-kill switch
- NM connects to network successfully.

I haven't really figured out why I have to do these steps, but without them, I cannot connect to my home lan either.

sandy.toast (sandy-toast) wrote :

That works for me as well.

On 7/12/07, Reinhard Tartler <email address hidden> wrote:
> I can connect with networkmanager with ipw3945 on my private WPA-PSK
> secured network with the following steps reliably:
>
> - try to connect, NM will try a bit but ask me then for a key
> - press cancel on that dialogue
> - retry connecting
> - (quickly) turn off the hardware rf-kill switch
> - after about one sec, turn on rf-kill switch
> - NM connects to network successfully.
>
> I haven't really figured out why I have to do these steps, but without
> them, I cannot connect to my home lan either.
>
> --
> [Gutsy]Network Manager Applet can't connect wireless with ipw3945 driver
> https://bugs.launchpad.net/bugs/121439
> You received this bug notification because you are a direct subscriber
> of the bug.
>

John Carr (johncarr) wrote :

If I log in and my laptop starts connecting to an open access point it will fail. But if I toggle the kill switch while its still trying to make the original connection it will work.

Changed in network-manager:
assignee: nobody → asac
JK (jk4-deactivatedaccount) wrote :

I have the same issue as the previous commenter on a Lenovo 3000 N100. Thanks. If you need any logs, etc.. Please, let me know.

Nic (ntetreau) wrote :

On Sony SZ3, I get the same problem where the wifi network is detecetd, tries o connect but times out. If I try the solution from Reinhard Tartler, NM connects fine!
 In /var/log/syslog:
First attachment, connects with wire, then unplug wire, try to connect to unsecure wifi

Second attachment, connects with wire, unplug wire, tries to connect to wifi, wifi switch off/on, then NM connects.

Suzan (suzan72) wrote :

I've tested it with Gutsy Desktop-CD Tribe 3.

Bug is still present! Can't connect to a WPA-encrypted network (which works in Feisty even with the live-cd).

My hardware: intel 3945 wireless using ipw3945 driver.

Peter Clifton (pcjc2) wrote :

I'm seeing it work fine for WEP (hex / passphrase) and WPA (passphrase) networks, however I happened across an unsecure (open) network earlier this week and couldn't connect.

The Wireless light on the laptop lit up solid (indicating association on the ipw3945), but shortly after it would start blinking again. Network manager seemed to be forcing it to re-associate again and again.

Disabling wireless in network-manager would allow the card to associate properly, and I could manually connect by running dhclient.

David Gerber (zapek) wrote :

Fixed here by doing a 'sudo /etc/init.d/dhcdbd start' before logging into X. Now I have no clue why dhcdbd doesn't start in the first place.

Tom Berger (intellectronica) wrote :

I am experiencing the same problems with network-manager 0.6.4-6ubu in feisty, with a ipw3945 driver.

This could be a regression, since it works fine with feisty from the original CD, and only stopped working for me a few weeks ago (after upgrading packages? don't know).

Matt Donnelly (donnellymp) wrote :

GOOD NEWS. I've solved this problem at least for Atheros cards and if you've used update-manager to update from Feisty to Ubuntu Gutsy Tribe 3.

Turns out that Ubuntu saves the old linux-restricted-modules-2.6.20-15-generic (from Feisty) *and* the new 2.6.22-8 version (from Gutsy) when you do an upgrade. On a hunch that Ubuntu confuses NM by having two versions of this file, I tried an experiment that worked:

1. Go into Synaptic and delete the old version.
2. Then install Linux-Restricted-Modules-2.6.22-8-386 and dbus-x11 (noticing the dbus command that worked for someone above).
3. Then restart your computer.

Worked like a charm for me. I have a 128-bit WEP encyrpted wireless network on a Linksys router, and Gutsy took my passphrase with no problem. Wired network also works.

So developers, for Tribe 4, just tweak Update Manager to make sure it deletes all Linux-Restricted-Modules except one and also installs Linux-Restricted-Modules-2.6.22-8-386 and dbus-x11.

Oh, and one more tip for testers: If you can't get the highest screen res in Gutsy, install 915Resolution. It worked for me with my Intel chipset. (For Feisty I'd have to install that Intel file and delete 810, but for some reason Gutsy installs both by default. Don't delete one; it will kill your X. Just install 915Resolution alongside them, and all is well.)

Cheers!

Suzan (suzan72) wrote :

Don't we are talking here about the ipw3945 driver for intel wireless-cards?

1. it cant't be a solution to install *-386 restricted-modules. We are working the the *-generic kernel, aren't we? In Feisty different installed kernels (and fitting kernel-headers) doesn't disrupt NM at all. Or I am wrong?

2. it is not a problem of two different installed kernels, because the ip3945 driver doesn't even work with the desktop-cd in live-mode! In live-mode you can be very sure, that only one kernel is "installed".

Matt Donnelly (donnellymp) wrote :

Hi Suzan,

I'm not sure about your questions. Though my reasons why this works might be wrong, I can confirm that this works for me for Atheros. I also suspect it will actually let NM work for any wired device that wasn't working previously in Gutsy. Any laptop these days can at least use a cable, even while getting wifi sorted.

Since I don't have an Intel wireless card, I can't confirm or deny that it works for those. But hopefully this can get some creative juices flowing toward a solution that works for all types of wireless cards. :-)

My point isn't that two different kernels are installed, but that there are two versions of restricted modules for the one installed kernel. The point is that cards using binary blobs need (I think) to have those blobs (restricted modules) loaded into a vanilla kernel, and I though that having two versions of these blobs would confuse NM.

I was working from an installed system, since most users won't run a live CD in perpetuity.

But maybe I'm just talking rubbish...

Matt

description: updated
74 comments hidden view all 154 comments
Kaspars (kasparsd) wrote :

I created a home network with WPA-PSK authentication with a passphrase and was able to connect to that network. If anyone needs more details about my laptop (dell latitude d820) hardware or ubuntu setup, please ask.

I am using
   - "linux-restricted-modules-generic" version 2.6.22.10.11 and
   - "network-manager" version 0.6.5-0ubuntu9 and
   - "linux-image-2.6.22-10-generic" version 2.6.22-10.30

stdPikachu (sdottait) wrote :

Someone else with the same problem. Gutsy, upgraded from Feisty, refuses to connect to any secured network, but will connect just fine with unsecured networks. Running the latest NM and knetworkmanager on an HP nx7300 with ipw3945. Connecting to WPA networks didn't work for me in Feisty either (although I was only using Fesity for about a week before I went for gutsy).

Will try the killswitch trick to see if that makes any difference, but still very BUGBUGBUG...!

BTW, how do we get status away from "incomplete"?

Alex Wauck (awauck) wrote :

It looks like everything works fine with iwl3945 (except for the wireless light on my Thinkpad not lighting up). Is there anything that prevents that driver being the default?

Alexander Sack (asac) wrote :

Alex, you say everything works with iwl drivers using network-manager? If so, could you please post easy instructions how to test iwl driver here, so people with this issue can verify if it helps?

Thanks,

  - Alexander

Changed in network-manager:
status: Incomplete → Confirmed
Petr Nemec (nemecpe) wrote :

I can confirm this bug.
I am unable to connect to my home router using WPA2 Personal and AES encryption (SSID broadcast disabled). It was possible in Feisty, but it is not in Gutsy as far as I remember.
Lastly I tried it in daily-live build 20070831.
I have Intel PRO/Wireless 3945ABG.

Alex Wauck (awauck) wrote :

Here's what I did to use the iwl3945 driver:
sudo modprobe -r ipw3945
sudo modprobe -i mac80211
sudo modprobe -i iwl3945
sudo /etc/init.d/networking restart

Note: iwl3945 will use wlan0 as the interface instead of eth1 (at least on my hardware). Also, it seems that loading iwl3945 automatically unloads ieee80211.

I was able to connect to an unsecured wireless network and access the internet. I do not have a secured network to try it with, so I don't know if that works.

Alexander Sack (asac) wrote :

On Fri, Aug 31, 2007 at 05:55:10PM -0000, Alex Wauck wrote:
> Here's what I did to use the iwl3945 driver:
> sudo modprobe -r ipw3945
> sudo modprobe -i mac80211
> sudo modprobe -i iwl3945
> sudo /etc/init.d/networking restart
>
> Note: iwl3945 will use wlan0 as the interface instead of eth1 (at least
> on my hardware). Also, it seems that loading iwl3945 automatically
> unloads ieee80211.
>
> I was able to connect to an unsecured wireless network and access the
> internet. I do not have a secured network to try it with, so I don't
> know if that works.
>

Alex, does Network Manager itself work with this? e.g. what do you
have in /etc/network/interfaces?

 - Alexander

Alexander Sack (asac) wrote :

On Fri, Aug 31, 2007 at 05:08:34PM -0000, Petr Nemec wrote:
> I can confirm this bug.
> I am unable to connect to my home router using WPA2 Personal and AES encryption (SSID broadcast disabled). It was possible in Feisty, but it is not in Gutsy as far as I remember.
> Lastly I tried it in daily-live build 20070831.
> I have Intel PRO/Wireless 3945ABG.
>

Petr, please try the workaround in gutsy that Alex suggested:

/etc/dbus-1/event.d/25NetworkManager stop
sudo modprobe -r ipw3945
sudo modprobe -i mac80211
sudo modprobe -i iwl3945
# optional (try?): sudo /etc/init.d/networking restart
/etc/dbus-1/event.d/25NetworkManager start

 - Alexander

Alex Wauck (awauck) wrote :

After I switched to iwl3945, Network Manager didn't seem to see the new interface. I think restarting networking did ifconfig wlan0 up, so maybe that's all that needed to be done for Network Manager to see it. I didn't have to restart Network Manager. I'll see if I can figure out how to make iwl3945 the default instead of ipw3945 and post the instructions here. There must be a relatively non-painful way to do it.

I tried iwl3945, but it creates the interface wlan0_replace - which isn't seen by network manager. I've tried modinfo to see if I could specify the interface in the modprobe options, but couldn't find a related option.

Petr Nemec (nemecpe) wrote :

Alexander Sack: I tried it, just on a live CD (yesterdays build), exactly like you wrote, even with that optional step, but after I start Network Manager again, Apport appears and it says "Network Manager closed unexpectedly".
I will try to install it on a hdd, yet, and see whether it changes something.

Petr Nemec (nemecpe) wrote :

Alexander Sack: ...When installed on hdd, the Network Manager is not already crashing after restart, but the wireless disappeared from the NM.
Tried again with and without that optional step.

Alex Wauck (awauck) wrote :

I didn't get wlan0_replace, but I did have to remove iwl3945 and reinsert it before I got wlan0 and wmaster0. I suspect that has something to do with ipw3945 having been loaded previously. So, to recap:
sudo modprobe -r ipw3945
sudo modprobe mac80211
sudo modprobe iwl3945
sudo modprobe -r iwl3945
sudo modprobe iwl3945

I then had to run iwlist wlan0 scanning to get it to scan for networks.

Alex Wauck (awauck) wrote :

It just blew up. I hadn't tested it much, and now I'm having trouble removing the module, I don't have network access, and everything is generally screwed up. Apparently wlan0 is in use and the kernel isn't letting me do much of anything.

xhantt (xhantt) wrote :

 A couple a weeks ago I´ve upgrades to gutsy wireless was not working I
follow the trick to turn on/off the wireless switch while connecting and
this worked 50% of the time.

But I've keep feisty kernel 2.6.20 for the "just in case" situation and when
booting with this kernel I don't have problem connecting to public or
secured spots. But when booting this kernel I've got several segmentation
faults.

The iwlwifi site says that the driver still is in a development, I've tried
several snapshot in the past and is not as estable as ipw3945, ie lost
connection under heave use, can't connect after suspend, etc., so far this
issues are being solved, but IMHO is not ready for a production release.

If you want to load iwl3945 on boot you should blacklist ipw3945, ie create
a file blacklist-ipw3945 under /etc/modprobe.d, which contains the line

blacklist ipw3945

This will prevent the automatic load of this module and iwl3945 should be
loaded instead.

 PD: I was doing this from my memory so better take a look at ubuntu wiki
howto blacklist a module. If you want to undo this just remove the file
blacklist-ipw3945.

stdPikachu (sdottait) wrote :

Well, after a big round of updates of pretty much the entire KDE tree, knetworkmanager is working fine for me with my WPA2 network and no longer hangs at 28%, killswitch trick no longer needed either AND the kwallet integration worked flawlessly too. Have reconnected three times now and it seems to be holding steady...

Fred van Zwieten (fvzwieten) wrote :

Running Gutsy with all update up to today and it works for me. It even reconnects after a resume from S2R. I'm using WPA2 with AES.

Btw: I'm also testing OpenSUSE 10.3 beta2 and they are using the iwl driver. From comments there it seems the ipw driver is crap ad the iwl driver is highly experimental, so I foresee a lot of trouble yet to come.

Nic (ntetreau) wrote :

Still having the same timeout issue as of today with unencrypted networks, encrypted works fine.

Mike Basinger (mike.basinger) wrote :

On my Lenovo 3000 N100, my ipw3945 card will connect to wireless networks (unencrypted and encrypted) under Gutsy, but take 30 seconds to a minute to connect. This was almost instantaneous under Feisty.

Alexander Sack (asac) wrote :

there is an attempted fix for this available in bzr: https://code.launchpad.net/~asac/intellinuxwireless/ipw3945.asac

Please test if replacing your current driver with this one helps.

Alexander Sack (asac) wrote :

to get a copy of the source just use:

 bzr branch https://code.launchpad.net/~asac/intellinuxwireless/ipw3945.asac

to build it you need kernel-headers et al installed and run:

 make IEEE80211_IGNORE_DUPLICATE=y SHELL=/bin/bash

Changed in network-manager:
status: Confirmed → In Progress
mb (maxbloemer) wrote :

i have a similar problem in feisty: i gat a list of the aviable wireless networks in natwork-manager bun i connot connect. (it takes foreever and a day). using manual configuration and static ip connection is no problem. but then connection ist very very slow. Dell Inspiron 6400 wit Intel Pro Wireless 3945 Network card.

https://bugs.launchpad.net/ipw3945/+bug/103210

i will try gusty tribe-6 today.

Peter Clifton (pcjc2) wrote :

Thanks Alex, built and tested your tree, and it now works (associates correctly) with Network manager on an open network.

I'll test with WPA Personal when I'm home. This had been working for me for some time now, so I'll only post again if it doesn't work.

Thanks so much

LarryGrover (lgrover) wrote :

I have a Lenovo 3000 N100 with Intel 3945ABG wireless chip. I have experienced the same problem connecting to unsecured wireless networks reported by others already: network-manager connected fine under Feisty, but stopped working when I installed Gutsy. The work-around reported by others (toggling the kill switch) also worked for me.

I compiled and installed the ipw3945 driver from Alexander Sack, and have been testing it today on unsecured networks at work and home. So far, it is working fine on my system! Thanks for your work fixing this bug.

hesser (hesser) wrote :

I compiled the new driver as well. Now I can connect to both secured and unsecured. Thank you very much.

Chris Lovett (70phr3) wrote :

Latest update to kernel 2.6.22-11 has fixed this bug for me.

timbl (timbl) wrote :

confirmed: fixed

thanks

Petr Nemec (nemecpe) wrote :

After installed todays daily-live build and then installed all updates from internet (including kernel 2.6.22-11), I was finally able to connect to my Wireless-G Router.
I dont know what fixed this bug, but at last it is working.

stdPikachu (sdottait) wrote :

Not working for me :( Behaviour seems to be exactly the same - connection attempted, and then I'm prompted to re-enter the WPA key. Running 2.6.22-11-generic and all the latest updates. Syslog attached.

John Carr (johncarr) wrote :

Working normal for me again! Thanks

Alexander Sack (asac) wrote :

We rolled an updated ipw3945 module which ships a patch that should normalize association behaviour.

To verify that you have the latest module installed, please do:

# modinfo ipw3945 | grep ^version

version: 1.2.2mp.ubuntu1 <-- this is the right version

Please test. Thanks,

 - Alexander

TorenC (torenc) wrote :

The new version fixed it for me!

Neil Wilson (neil-aldur) wrote :

The whole system seems to struggle if you change the security settings
(in my case from WPA to WPA2). I get a time out in the logs, but
retrying simply goes through the procedure all over again. I'm no
longer asked for a new protocol/password.

On 9/9/07, Alexander Sack <email address hidden> wrote:
> We rolled an updated ipw3945 module which ships a patch that should
> normalize association behaviour.
>
> To verify that you have the latest module installed, please do:
>
> # modinfo ipw3945 | grep ^version
>
> version: 1.2.2mp.ubuntu1 <-- this is the right version
>
> Please test. Thanks,
>
> - Alexander
>
> --
> [Gutsy]Network Manager Applet can't connect wireless with ipw3945 driver
> https://bugs.launchpad.net/bugs/121439
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Works for me, as well (on Gutsy).

Perhaps we could call this fixed?

David Lichterman (lavid) wrote :

I'm running:
lavid@lavid-laptop:~$ cat /proc/version
Linux version 2.6.22-11-generic (buildd@rothera) (gcc version 4.1.3 20070831 (prerelease) (Ubuntu 4.1.2-16ubuntu1)) #1 SMP Fri Sep 7 05:07:05 GMT 2007

and I've been getting the following messages in my kernel log:

[ 4967.888000] UDP: short packet: From 70.81.97.112:50 112/50 to 76.195.223.90:43069
[ 5330.760000] UDP: short packet: From 70.81.97.112:50 112/50 to 76.195.223.90:34629
[ 5630.880000] UDP: short packet: From 70.81.97.112:50 199/50 to 76.195.223.90:55296
[ 5930.844000] UDP: short packet: From 70.81.97.112:50 199/50 to 76.195.223.90:42856
[ 6230.888000] UDP: short packet: From 70.81.97.112:50 112/50 to 76.195.223.90:32950
[ 6530.928000] UDP: short packet: From 70.81.97.112:50 71/50 to 76.195.223.90:2713
[ 6624.752000] ipw3945: Microcode SW error detected. Restarting.
[ 6625.252000] ipw3945: Error sending LEDS_CMD: time out after 500ms.
[ 6627.240000] ipw3945: Can't stop Rx DMA.
[ 6627.620000] ipw3945: Detected geography ABG (11 802.11bg channels, 13 802.11a channels)
[ 6831.432000] UDP: short packet: From 70.81.97.112:50 199/50 to 76.195.223.90:14226
[ 7131.820000] UDP: short packet: From 70.81.97.112:50 199/50 to 76.195.223.90:61946
[ 7431.040000] UDP: short packet: From 70.81.97.112:50 71/50 to 76.195.223.90:50341
[10063.268000] ipw3945: Error sending cmd #07 to daemon: time out after 500ms.
[10063.268000] ipw3945: Microcode SW error detected. Restarting.
[10064.260000] ipw3945: Can't stop Rx DMA.
[10065.632000] ipw3945: Detected geography ABG (11 802.11bg channels, 13 802.11a channels)
[22114.568000] ipw3945: Microcode SW error detected. Restarting.
[22114.568000] ipw3945: Microcode HW error detected. Restarting.
[22115.564000] ipw3945: Can't stop Rx DMA.
[22116.936000] ipw3945: Detected geography ABG (11 802.11bg channels, 13 802.11a channels)
[25036.604000] ipw3945: Microcode SW error detected. Restarting.
[25037.104000] ipw3945: Error sending LEDS_CMD: time out after 500ms.
[25038.096000] ipw3945: Can't stop Rx DMA.
[25039.468000] ipw3945: Detected geography ABG (11 802.11bg channels, 13 802.11a channels)
[28981.528000] UDP: short packet: From 74.212.42.2:8024 48290/71 to 76.195.223.90:22445
[34406.556000] ipw3945: Microcode SW error detected. Restarting.
[34407.056000] ipw3945: Error sending LEDS_CMD: time out after 500ms.
[34408.048000] ipw3945: Can't stop Rx DMA.
[34409.420000] ipw3945: Detected geography ABG (11 802.11bg channels, 13 802.11a channels)
[37332.512000] ipw3945: Microcode SW error detected. Restarting.
[37332.512000] ipw3945: Microcode HW error detected. Restarting.
[37333.508000] ipw3945: Can't stop Rx DMA.
[37334.876000] ipw3945: Detected geography ABG (11 802.11bg channels, 13 802.11a channels)
[69421.300000] ipw3945: Microcode SW error detected. Restarting.
[69421.800000] ipw3945: Error sending LEDS_CMD: time out after 500ms.
[69422.792000] ipw3945: Can't stop Rx DMA.
[69424.168000] ipw3945: Detected geography ABG (11 802.11bg channels, 13 802.11a channels)

I can, however, connect to my WPA network without many issues.

Anand Vaidya (anand-vaidya) wrote :

I have encountered this same bug on my home PC with a Edimax USB (Ralink, rt73 driver).

I am able to connect with WPA from the CLI.

NetworkManager spins for upto 28% and then gives up. So I guess it is not ipw3945 specific.

Regards
Anand Vaidya

Ashton Batty (ashton) wrote :

Working fine for me today, since ipw3945 1.2.2mp.ubuntu1

Alexander Sack (asac) wrote :

this bug was fixed in ipw3945 driver (version 1.2.2mp.ubuntu1). Thanks for your feedback. If you have other issues, please look if there are other bugs already tracking those, otherwise open a new bug.

Changed in network-manager:
status: In Progress → Fix Released
seng (hor-seng) wrote :

alrite nothing is fixed to me.

I got a clean install of gutsy.
and i punched in modinfo ipw3945 | grep ^version
and it shows
1.2.2mp

However,

after succesful connection about a few minutes the connection gets lost.
when i do left click on NM and do manual configuration it shows two WIRED Network?!
after a while my terminal doesnt react to my commands and then the whole system hangs

well

for now I pulled out my old DLINK G 630 laptop card and use that and have no problem at all.

I never had this problem with feisty as far as I remember.

Any help

drink (martin-espinoza) wrote :

I have ipw3945 and am still having the same problem. network-manager correctly associates with the AP but does NOT handle the dhclient correctly.

drink@agamemnon:~$ modinfo ipw3945 | grep ^version
version: 1.2.2mp.ubuntu1

If I manually run sudo dhclient eth1 after associating to the AP with network-manager then everything works (this is how I'm updating this bug report now.)

I get errors in various log files. For example, in my /var/log/debug:
Feb 20 03:51:19 agamemnon NetworkManager: <debug> [1203508279.473716] nm_device_
802_11_wireless_get_activation_ap(): Forcing AP 'Wireless'
Feb 20 03:51:38 agamemnon kernel: [ 233.432000] eth1: no IPv6 routers present

compressed daemon.log attached.

If this is a different bug let me know, but I am definitely having this problem with the versions which allegedly solve the problem.

Displaying first 40 and last 40 comments. View all 154 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers